[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gNewSense-users] Upcoming Breaking Change to X in gNewSense

From: Brian Brazil
Subject: [gNewSense-users] Upcoming Breaking Change to X in gNewSense
Date: Sat, 12 Jan 2008 23:05:01 +0000

Within the next 12 hours, I'll be releasing new versions of the 'mesa' and
'xserver-xorg' packages to remove non-free code. This code is essential
to all OpenGL/GLX related (i.e. 3d graphics) X packages in gNewSense.
Accordingly, almost anything that uses 3d graphics in gNewSense will break.

For most applications, this will happen instantly at startup:
address@hidden glxinfo
glxinfo: error while loading shared libraries: libGL.s.o1 : cannot open shared object file: No such file or directory
although others might be a bit more cryptic (e.g. amarok).

We've yet to come up with a definitive list of what will break but
it'll be at least 200 packages. If you run
  apt-cache rdepends libgl{,u}1-mesa | fgrep -v : | tr -d '| ' | sort -u
on a deltad system, you will get a partial list.

Our testing thus far indicates that this does not break anything
non-3d, so applications such as BurningDog and
will continue to work.

If you come across new problems with your gNewSense systems
over the next few days, please check for this before mailing the list
or filing a bug.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]